Bug 112492 - send_try ignored in printcap.local
send_try ignored in printcap.local
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: lpr (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-20 22:20 EST by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-23 15:44:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-12-20 22:20:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.5)
Gecko/20031007 Netscape/7.1 Firebird/0.7

Description of problem:
Hi All,

   I am running Red hat 9, upgraded from Red Hat 8, upgraded
from Red Hat 7.2.

   I ran a debug on an lpr print job and found to my horror
that lpr attempted to print 3 times and exits.  From
"man printcap", send_try defaults to 3.  Apparently, my
send_try entry in printcap.local is being ignored.

   To set up my printers, I used "printconf".  I then
erased my printcap and restarted lpd.  lpd recreated my printcap.
I then open printcap.local and inserted my printcap, made my
additions, and again restarted lpd.  lpd sucked my printcap.local
into printcap and appends it to the bottom of my printcap.

   My send_try addition is then ignored when I print.

Many thanks,
--Tony
aewell@gbis.com


----------- /etc/printcap ----------------

# /etc/printcap
#
# DO NOT EDIT! MANUAL CHANGES WILL BE LOST!
# This file is autogenerated by printconf-backend during lpd init.
#
# Hand edited changes can be put in /etc/printcap.local, and will be
included.

copier|lp4:\
   :ml#0:\
   :mx#0:\
   :sd=/var/spool/lpd/copier:\
   :af=/var/spool/lpd/copier/copier.acct:\
   :sh:\
   :rm=copier.iamnottellingyou.com:\
   :rp=PORT1:\
   :bk:\
   :control_filter=/usr/share/printconf/util/strip_control_file.sh:

###############################################################################
## Everything below here is included verbatim from /etc/printcap.local
     ##
###############################################################################
# printcap.local
#
# This file is included by printconf's generated printcap,
# and can be used to specify custom printcap entries.

copier|lp4:\
   :ml#0:\
   :mx#0:\
   :send_try#1000:\
   :sd=/var/spool/lpd/copier:\
   :af=/var/spool/lpd/copier/copier.acct:\
   :sh:\
   :rm=copier.iamnottellingyou.com:\
   :rp=PORT1:\
   :bk:\
   :control_filter=/usr/share/printconf/util/strip_control_file.sh:




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
   

Additional info:
Comment 1 Elliot Lee 2004-08-23 15:44:21 EDT
Closing bugs for old packages that have no maintainer.

Note You need to log in before you can comment on or make changes to this bug.